## org.omg.PortableServer
Class ServantHelper

    java.lang.Object
      |
      +--org.omg.PortableServer.ServantHelper

public class ServantHelper
extends java.lang.Object

Helper class for : Servant

Author:
  OpenORB Compiler

Constructor Summary
`ServantHelper()`

Method Summary
`static Servant` `extract(Any a)` Extract Servant from an any
`static java.lang.String` `id()` Return the Servant IDL ID
`static void` `insert(Any a, Servant t)` Insert Servant into an any
`static Servant` `read(InputStream istream)` Read Servant from a marshalled stream
`static TypeCode` `type()` Return the Servant TypeCode
`static void` `write(OutputStream ostream, Servant value)` Write Servant into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServantHelper

    public ServantHelper()

Method Detail

### insert

    public static void insert(Any a,
                              Servant t)

  Insert Servant into an any
  Parameters:
    `a` - an any
    `t` - Servant value

### extract

    public static Servant extract(Any a)

  Extract Servant from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted Servant value

### type

    public static TypeCode type()

  Return the Servant TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the Servant IDL ID
  Returns:
    an ID

### read

    public static Servant read(InputStream istream)

  Read Servant from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed Servant value

### write

    public static void write(OutputStream ostream,
                             Servant value)

  Write Servant into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - Servant value